# Microsoft Azure App Config integration with Standalone Java Application

Integration of Microsoft Azure App Config with Standalone Java Application.

## Getting Started

These instructions will get you a copy of the project up and running on your local machine for development and testing purposes.

### Prerequisites

What things you need to install the software and how to install them

```
1. Create Microsoft Azure Account from Azure Web Portal.
2. Setup App Config Resource from Azure Web Portal.
3. Add Key-Values based properties from Configuration Explorer in Azure Web Portal.
4. Take Connection String provided by Azure App Config from Access-Key Section, this will used in Java Application for connection.
```

### Installing

```
1. Configure the Environment Variable for Coonection-String that you took from azure portal.
    Note: Here we have ENV is [key: APP_CONFIGURATION_CONNECTION_STRING, value: "Connection-String-URL"]
2. Run the Application directly from main method.

```

## Built With

* [Microsoft Azure App Config with Java](https://github.com/Azure/azure-sdk-for-java/tree/master/sdk/appconfiguration/azure-data-appconfiguration) - Microsoft Azure App Configuration Integrated with Standalone Java.
* [Maven](https://maven.apache.org/) - Dependency Management